/**
 * Created by liaili on 16/8/16.
 */
//判断IE浏览器
(()=> {
    const ua = window.navigator.userAgent;

    function setClientWidth() {
        var sw = $(window).width();
        if (ua.indexOf('MSIE') >= 0) {
            if (sw >= 1441) {
                $('html').removeClass('container-width container-width-small').addClass('container-width-large')
            } else if (sw >= 1281) {
                $('html').removeClass('container-width-large container-width-small').addClass('container-width')
            } else if (sw >= 769) {
                $('html').removeClass('container-width-large container-width').addClass('container-width-small')
            }
        }
    }

    //初始化
    setClientWidth();

    let sid;
    $(window).resize(() => {
        clearTimeout(sid);
        sid = setTimeout(setClientWidth, 50);
    });



})();